// MICROCHIP SOFTWARE NOTICE AND DISCLAIMER: You may use this software,
// and any derivatives created by any person or entity by or on your
// behalf, exclusively with Microchip's products. Microchip and its
// licensors retain all ownership and intellectual property rights in
// the accompanying software and in all derivatives hereto.
//
// This software and any accompanying information is for suggestion
// only. It does not modify Microchip's standard warranty for its
// products. You agree that you are solely responsible for testing the
// software and determining its suitability. Microchip has no obligation
// to modify, test, certify, or support the software.
//
// THIS SOFTWARE IS SUPPLIED BY MICROCHIP "AS IS". NO WARRANTIES,
// WHETHER EXPRESS, IMPLIED OR STATUTORY, INCLUDING, BUT NOT LIMITED TO,
// IMPLIED WARRANTIES OF NON-INFRINGEMENT, MERCHANTABILITY, AND FITNESS
// FOR A PARTICULAR PURPOSE APPLY TO THIS SOFTWARE, ITS INTERACTION WITH
// MICROCHIP'S PRODUCTS, COMBINATION WITH ANY OTHER PRODUCTS, OR USE IN
// ANY APPLICATION.
//
// IN NO EVENT, WILL MICROCHIP BE LIABLE, WHETHER IN CONTRACT, WARRANTY,
// TORT (INCLUDING NEGLIGENCE OR BREACH OF STATUTORY DUTY), STRICT
// LIABILITY, INDEMNITY, CONTRIBUTION, OR OTHERWISE, FOR ANY INDIRECT,
// SPECIAL, PUNITIVE, EXEMPLARY, INCIDENTAL OR CONSEQUENTIAL LOSS,
// DAMAGE, FOR COST OR EXPENSE OF ANY KIND WHATSOEVER RELATED TO THE
// SOFTWARE, HOWSOEVER CAUSED, EVEN IF MICROCHIP HAS BEEN ADVISED OF THE
// POSSIBILITY OR THE DAMAGES ARE FORESEEABLE. TO THE FULLEST EXTENT
// ALLOWABLE BY LAW, MICROCHIP'S TOTAL LIABILITY ON ALL CLAIMS IN ANY
// WAY RELATED TO THIS SOFTWARE WILL NOT EXCEED THE AMOUNT OF FEES, IF
// ANY, THAT YOU HAVE PAID DIRECTLY TO MICROCHIP FOR THIS SOFTWARE.
//
// MICROCHIP PROVIDES THIS SOFTWARE CONDITIONALLY UPON YOUR ACCEPTANCE
// OF THESE TERMS.
#ifndef __BSP_H
#define __BSP_H

/**
 * Board Specifics
 * @file bsp.h
 */

// CLCs
#define CLC1_DIR     TRISCbits.TRISC5
#define CLC2_DIR     TRISCbits.TRISC0
#define CLC3_DIR     TRISBbits.TRISB7

// PWMs
#define PWM1_DIR    TRISCbits.TRISC5  
#define PWM2_DIR    TRISCbits.TRISC3
#define PWM4_DIR    TRISCbits.TRISC1
#define PWM1_OUT    LATCbits.LATC5
#define PWM2_OUT    LATCbits.LATC3
#define PWM4_OUT    LATCbits.LATC1

// RF Digital Input
#define DEDICATED_IN_DIR      TRISAbits.TRISA3
#define DEDICATED_IN_IN       PORTAbits.RA3
#define DEDICATED_IN_IOC_FLAG IOCAFbits.IOCAF3
// Two Switches Input (Digital for IOC and then Analog for determing button)
#define BUTTONS_DIR TRISAbits.TRISA4
#define BUTTONS_ANS ANSELAbits.ANSA4
#define BUTTONS_IOC_FLAG   IOCAFbits.IOCAF4
// General Purpose Digital Inputs
#define GENERAL_DIR TRISBbits.TRISB5
#define GENERAL_ANS ANSELBbits.ANSB5
#define GENERAL_IOC_FLAG IOCBFbits.IOCBF5

// Speed POT
#define SPEED_POT_DIR   TRISCbits.TRISC2
#define SPEED_POT_ANS   ANSELCbits.ANSC2
// Current POT
#define CURRENT_POT_DIR TRISAbits.TRISA0
#define CURRENT_POT_ANS ANSELAbits.ANSA0
// Current Sense
#define CURRENT_SENSE_DIR   TRISCbits.TRISC6
#define CURRENT_SENSE_ANS   ANSELCbits.ANSC6

// Digital Outputs
#define DEDICATED_OUT LATCbits.LATC4

// LEDs
#define MOTOR_LED_OUT       LATCbits.LATC7 // Motor LED
#define MOTOR_LED_DIR       TRISCbits.TRISC7
#define TRIP_LED_OUT        LATAbits.LATA5 // Fault LED
#define TRIP_LED_DIR        TRISAbits.TRISA5

// Only for Rev 2 boards
#define PWR_LED_OUT     TRIP_LED_OUT
#define PWR_LED_DIR     TRIP_LED_DIR


#endif